/** START PAGE **/

/* ---------- Section header ---------- */

.section-header p {
    max-width: 84ch;
}

.section-header.text-center p {
    margin-left: auto;
    margin-right: auto;
}

.section-header h2,
.section-header p {
    text-align: center;
    margin: 0 auto 2rem;
}

.section-header h2:has(+ p) {
    margin-bottom: clamp(0.25rem, 0.179rem + 0.302vw, 0.5rem);
}

.subpage-header {
    z-index: 1;
    position: relative;
    display: flex;
    align-items: center;
    min-height: 500px;
    height: 60vh;
}

    .subpage-header img {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .subpage-header .header-content {
        position: relative;
        z-index: 2;
        padding: 3rem;
        background: #fff;
        width: 100%;
    }


@media screen and (min-width: 992px) {

    .subpage-header .header-content {
        text-align: left;
        width: 50%;
    }
}


.section-header .header-content h1 {
    font-weight: 600;
    font-size: clamp(1.5rem, 1.0925rem + 2.0063vw, 3.5rem);
}

.section-header .header-content h2 {
    font-weight: 500;
    font-size: clamp(1.25rem, 0.9953rem + 1.2539vw, 2.5rem);
}


/* ---------- Section button ---------- */

.section-button .theme-btn {
    margin-top: 2.5em;
}

/* ---------- Hero section ---------- */


.hero-container {
    height: 100%;
    width: 100%;
}

    .hero-container .hero-caption-container {
        background: var(--primary-color-light);
    }

@media screen and (max-width: 991px) {

    .hero-container .hero-caption-container {
        margin-top: -3rem;
    }
}


@media screen and (min-width: 1700px) {

    .hero-desktop {
        min-height: calc(100vh - var(--top-margin-xl));
    }
}

@media screen and (min-width: 2400px) {

    .hero-desktop {
        min-height: unset;
        width: 100%;
        aspect-ratio: 16 / 9;
    }
}

/* Hero background image*/



.hero-background-image img,
.hero-section video {
    height: 100%;
    width: 100%;
    object-fit: cover;
    aspect-ratio: 4 / 3;
}

@media screen and (min-width: 992px) {
    .hero-background-image {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
    }
    .hero-section {
        height: calc(80vh - var(--top-margin-xl));
    }

        .hero-section video {
            position: absolute;
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }
}

@media screen and (min-width: 2400px) {

    .hero-background-image {
        left: calc(50% - 960px);
        right: calc(50% - 960px);
    }
}




/* Hero caption */

.hero-caption {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: var(--primary-color-light);
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: relative;
    z-index: 1;
}



.hero-caption h1 {
    font-size: clamp(1.75rem, 1.4953rem + 1.2539vw, 3rem);
    color: var(--text-dark);
    font-weight: 300;
    margin-bottom: 1.25rem;
    width: 100%;
    hyphens: auto;
}

.hero-mobile .hero-caption h1 {
    text-align: center;
}

.hero-caption h1 strong {
    font-weight: 900;
}

.hero-caption p {
    color: var(--text-dark);
    font-size: clamp(1rem, 0.9491rem + 0.2508vw, 1.25rem);
    font-weight: 400;
}

.hero-buttons {
    font-size: clamp(1rem, 0.7962rem + 1.0031vw, 2rem);
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

    .hero-buttons .btn {
        width: 100%;
    }

@media screen and (min-width: 992px) {

    .hero-caption {
        width: 50%;
        background: rgba(255, 255, 255, 0.90);
        backdrop-filter: blur(8px);
    }

    .hero-buttons {
        gap: 2rem;
    }

        .hero-buttons .btn {
            width: unset;
        }
}

@media screen and (min-width: 1700px) {

    .hero-buttons a.theme-btn {
        margin-right: 2rem;
    }
}
